﻿package
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.ColorTransform;
	import flash.geom.Point;
	public class Coliner extends Sprite
	{
		private var angle:Number = 0;
		private var path:Array;
		private var pathHeight:Number;
		private var image:BitmapData;
		private var c_trs:ColorTransform = new ColorTransform (1, 1, 1, 0.999);
		private var support:Sprite = new Sprite();
		public function Coliner()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void{
			addChild (new Bitmap (image = new BitmapData(stage.stageWidth, stage.stageHeight,true,0x000000)));
			this.addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			support.graphics.clear();
			support.graphics.moveTo(mouseX,stage.stageHeight-300);
			var mX:Number = stage.stageWidth/2-mouseX
			var mY:Number = stage.stageWidth/2-mouseY
			var color:Number = Math.random()*0xff0000;
			for(var i:Number=0;i<stage.stageWidth;i++){
				var posy:Number = Math.sin((i+angle*20)*Math.PI/180)*Math.cos(i*Math.PI/180)*(stage.stageWidth/2-i)*(mY/90);
				var posx:Number = Math.sin((i+angle*90)*Math.PI/180)*Math.cos(i*Math.PI/180)*(stage.stageHeight/2-i)*(mX/90);
				support.graphics.lineStyle(25,Math.random()*0xffff00);
				support.graphics.lineTo(i*1.5,stage.stageHeight-300+posy);
				support.graphics.lineTo(i*0.5,stage.stageHeight-300-posx);
			}
			angle+=10;
			image.colorTransform (image.rect, c_trs);
			image.scroll (-0.9, -1);
			image.draw(support);
		}
	}
}